Subject: Re: [PATCH/RFC 0/3] pedantic errors in next

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Aug 2021 10:20:37 -0700

René Scharfe <[email-masked]> writes:

>> would at least the two included in the chunks above be safe enough for
>> RC2 as I hope?, is the one with the additional int too hacky to be
>> considered for release?;
>
> I think your -pedantic fixes 1 and 2 should go into the next possible
> release candidate because they fix regressions.

I agree.  They are at the bottom of 'seen' just above 'master' in
last night's pushout for this exact reason.

> Same for my signed-left-shift fix in
> http://public-inbox.org/git/[email-masked]/
> (or some improved version if it's lacking in some way) and the yet to be
> published fix for the alignment issue.  I assume Andrzej as the reporter
> or Eric as the original author would like to have a shot at the latter.

Thanks.  It was missed as it was buried in the discussion exchange.
Will queue together with cb/many-alternate-optim-fixup topic.